Part Torus: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
(typo)
 
(85 intermediate revisions by 14 users not shown)
Line 1: Line 1:
<languages/>
<translate>
<translate>

<!--T:17-->
{{Docnav
|[[Part_Cone|Cone]]
|[[Part_Tube|Tube]]
|[[Part_Workbench|Part]]
|IconL=Part_Cone.svg
|IconR=Part_Tube.svg
|IconC=Workbench_Part.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=Part_Torus|MenuLocation=Part -> Torus||Workbenches=[[Part_Module|Part_Module]],Complete|SeeAlso=[[Part_CreatePrimitives|Part_CreatePrimitives]]}}
|Name=Part Torus
|MenuLocation=Part → Primitives → Torus
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}

== Description == <!--T:22-->


<!--T:2-->
<!--T:2-->
The [[Image:Part_Torus.svg|24px]] '''Part Torus''' command creates a parametric torus solid, a doughnut shape. It is the result of sweeping a circular profile around a circular path. In the coordinate system defined by its {{PropertyData|Placement}} property, the circular path of the torus lies on the XY plane with its center at the origin.
Creates a simple parametric torus, with position, angle1, angle2, angle3, radius1 and radius2 parameters. The torus will be positioned at origin (point 0,0,0) on creation. The angle parameters permit to make a portion of torus instead of a full one (they are set to 360° by default), the radius 1 and 2 define respectively the size of the hole and the ring thickness of the torus.

<!--T:26-->
A Part Torus can be turned into a segment of a torus by changing its {{PropertyData|Angle3}} property. By changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties the swept profile can become a segment of a circle.


</translate>
</translate>
[[Image:Part_Torus_Example.png|400px]]
{{clear}}
<translate>
<languages/>

== Usage == <!--T:4-->

<!--T:5-->
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Torus.svg|16px]] [[Part_Torus|Part Torus]]}} button.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Torus.svg|16px]] Torus}} option from the menu.
# The torus is created.
# Optionally change the dimensions and {{PropertyData|Placement}} of the torus by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.

== Example == <!--T:27-->

<!--T:28-->
[[Image:Part_Torus_Scripting_Example.png|thumb|Part Torus from the scripting example]]

<!--T:29-->
A Part Torus object created with the [[#Scripting|scripting example]] below is shown here.

== Notes == <!--T:30-->

<!--T:31-->
* A Part Torus can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

== Properties == <!--T:11-->

<!--T:32-->
See also: [[Property_editor|Property editor]].

<!--T:33-->
A Part Torus object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data === <!--T:34-->

<!--T:35-->
{{TitleProperty|Attachment}}

<!--T:36-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

<!--T:37-->
{{TitleProperty|Torus}}

<!--T:9-->
* {{PropertyData|Radius1|Length}}: The radius of the circular path of the torus. The default is {{Value|10mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the circular profile of the torus. The default is {{Value|2mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the circular profile. Valid range: {{Value|-180° &lt;&#61; value &lt;&#61; 180°}}. The default is {{Value|-180°}}.
* {{PropertyData|Angle2|Angle}}: The end angle the circular profile. Valid range: {{Value|-180° &lt;&#61; value &lt;&#61; 180°}}. The default is {{Value|180°}}. If the total angle of the circular profile is smaller than {{Value|360°}} the profile will have a pie-shape.
* {{PropertyData|Angle3|Angle}}: The angle of the circular path of the torus. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a torus.

== Scripting == <!--T:23-->

<!--T:38-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:24-->
A Part Torus can be created with the {{Incode|addObject()}} method of the document:

</translate>
{{Code|code=
torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
}}
<translate>

<!--T:25-->
* Where {{Incode|"myTorus"}} is the name for the object.
* The function returns the newly created object.

<!--T:39-->
Example:

</translate>
{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()
}}
<translate>


<!--T:18-->
{{Docnav
|[[Part_Cone|Cone]]
|[[Part_Tube|Tube]]
|[[Part_Workbench|Part]]
|IconL=Part_Cone.svg
|IconR=Part_Tube.svg
|IconC=Workbench_Part.svg
}}

</translate>
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:56, 4 March 2022

Part Torus

Menu location
Part → Primitives → Torus
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Torus command creates a parametric torus solid, a doughnut shape. It is the result of sweeping a circular profile around a circular path. In the coordinate system defined by its DataPlacement property, the circular path of the torus lies on the XY plane with its center at the origin.

A Part Torus can be turned into a segment of a torus by changing its DataAngle3 property. By changing its DataAngle1 and/or DataAngle2 properties the swept profile can become a segment of a circle.

Usage

  1. There are several ways to invoke the command:
    • Press the Part Torus button.
    • Select the Part → Primitives → Torus option from the menu.
  2. The torus is created.
  3. Optionally change the dimensions and DataPlacement of the torus by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DataPlacement with the Std TransformManip command.

Example

Part Torus from the scripting example

A Part Torus object created with the scripting example below is shown here.

Notes

  • A Part Torus can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Torus object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Torus

  • DataRadius1 (Length): The radius of the circular path of the torus. The default is 10mm.
  • DataRadius2 (Length): The radius of the circular profile of the torus. The default is 2mm.
  • DataAngle1 (Angle): The start angle of the circular profile. Valid range: -180° <= value <= 180°. The default is -180°.
  • DataAngle2 (Angle): The end angle the circular profile. Valid range: -180° <= value <= 180°. The default is 180°. If the total angle of the circular profile is smaller than 360° the profile will have a pie-shape.
  • DataAngle3 (Angle): The angle of the circular path of the torus. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a torus.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Torus can be created with the addObject() method of the document:

torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
  • Where "myTorus" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()